Bug 97682 - RPM returns incorrect exit code
RPM returns incorrect exit code
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rpm (Show other bugs)
2.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 06:24 EDT by moylo
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-21 11:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description moylo 2003-06-19 06:24:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
I am compiling src rpms with the following:


rpm -ba --target i686 apache.spec

exit status '$?' > 1 for a succesful build. This has been fixed in later
versions of RPM but apparently not for the updated rpm versions available for AS2.1

Version-Release number of selected component (if applicable):
rpm-4.0.4-7x.20 

How reproducible:
Always

Steps to Reproduce:
1.rpm -ba --target i686 apache.spec
2.echo $?

    

Actual Results:  although the build was succesful, $? does not equal 0

Expected Results:  if build is succesful, then $? should equal 0

Additional info:
Comment 1 Jeff Johnson 2003-08-21 11:41:15 EDT
Yes, not fixed in AS2.1. Deferred until somewhen.

Note You need to log in before you can comment on or make changes to this bug.